/**
 * The kobold's relation with Cassidy, first encounterable in the hamlet.
 */
function Cassidy() {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;

    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    // PUBLIC MEMBERS \\        this.public = "test";
    this.dead = false;
    this.capturedby = false;
    this.koboldsfreed = false;
    this.tableraped = false;
    this.agree = false;
    this.sex = false;

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};
    
    /**
     * Loads this object from a type-stripped version thereof.
     * @param {Cassidy-stripped} cassidy A Cassidy object, stripped of private members and all functions.
     */
    this.load = function (cassidy) {
        if(!cassidy) {
            that.load(new Cassidy());
            return;
        }
        that.dead = cassidy.dead;
        that.capturedby = cassidy.capturedby;
        that.koboldsfreed = cassidy.koboldsfreed;
        that.tableraped = cassidy.tableraped;
        that.agree = cassidy.agree;
        that.sex = cassidy.sex;
    };
}
